(function() {
    'use strict';
      angular.module('Monitour.pages.password')
          .factory('ForgotpasswordService', ForgotpasswordService);

    function ForgotpasswordService($http, $localStorage) {
        var service = {};        
        service.Forgot = Forgot;
        service.Pin = Pin;
		service.Password  = Password;
		
       
        var domain = 'https://api.callio.com.au/public/';
        return service;

      
        
		
        function Forgot(forgotpassword) {
            return $http.post(domain + 'forgotpassword', forgotpassword);
        }
		
		 function Pin(pin) {
            return $http.post(domain + 'pin', pin);
        }
		
		
		 function Password(password) {
            return $http.patch(domain + 'changepassword', password);
        }


            // private functions
    }
})();